#---------------------------------------------------------------------------
# mitternacht.py
#---------------------------------------------------------------------------
# Lies float-Werte a, b und c von der Konsole ein und
# gib die beiden durch die Mitternachtsformel bestimmten Lösungen aus.
#---------------------------------------------------------------------------

import math

print('Geben Sie die Werte von a,b und c für die Mitternachtsformel ein.')
a = float(input('  a: '))
b = float(input('  b: '))
c = float(input('  c: '))

diskriminante = math.sqrt(b**2 - 4 * a * c)

print('Die Lösungen sind:')
print( (-b + diskriminante) / (2*a) )
print( (-b - diskriminante) / (2*a) )

#---------------------------------------------------------------------------
# python3 mitternacht.py 
# Geben Sie die Werte von a,b und c für die Mitternachtsformel ein.
#   a: 4
#   b: 15
#   c: 2
# Die Lösungen sind:
# -0.1384445013187745
# -3.6115554986812253
#
# python3 mitternacht.py 
# Geben Sie die Werte von a,b und c für die Mitternachtsformel ein.
#   a: 4
#   b: 3
#   c: 2
# Traceback (most recent call last):
#   File "mitternacht.py", line 15, in <module>
#     diskriminante = math.sqrt(b**2 - 4 * a * c)
# ValueError: math domain error
#
# python3 mitternacht.py 
# Geben Sie die Werte von a,b und c für die Mitternachtsformel ein.
#   a: 0
#   b: 2
#   c: 1
# Die Lösungen sind:
# Traceback (most recent call last):
#   File "mitternacht.py", line 18, in <module>
#     print( (-b + diskriminante) / (2*a) )
# ZeroDivisionError: float division by zero

