#--------------------------------------------------------------------------------
# einteilungsmarken.py
#--------------------------------------------------------------------------------
# Die Striche auf einem Zollstock werden ausgegeben.
# Der Zollstock hat Striche im Millimeter-Abstand.
# Alle 5 Millimeter ist der Strich länger,
# und alle 10 Millimeter ist er noch länger.
#--------------------------------------------------------------------------------

# Die Variable laenge gibt die Länge des Zollstocks in Millimeter an.
laenge = 79

# Die Variable untersteZeile besteht aus den Millimeter-Strichen des Zollstocks.
untersteZeile = '|' * laenge

# Die Variable mittlereZeile besteht aus 5-Millimeter-Strichen.
mittlereZeile = '    |' * ( laenge//5 )

# Die Variable obersteZeile besteht aus 10-Millimeter-Strichen.
obersteZeile = ((' '*9) + '|') * (laenge//10)

# Die Einteilungsmarken werden ausgegeben.
print(obersteZeile)
print(mittlereZeile)
print(untersteZeile)

#--------------------------------------------------------------------------------
# python3 einteilungsmarken.py
#          |         |         |         |         |         |         |
#     |    |    |    |    |    |    |    |    |    |    |    |    |    |    |
# |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||


