#-------------------------------------------------------------------------
# schaltjahr.py
#-------------------------------------------------------------------------
# Liest int jahr ein
# und gibt True aus, wenn das Jahr jahr ein Schaltjahr ist.
# Sonst wird False ausgegeben.
#-------------------------------------------------------------------------

# Lies das Jahr von der Konsole und speichere es in Variable jahr (Typ int).
jahr = int( input('Geben Sie bitte das Jahr ein: ') )

# Bestimme, wie die 3 Bedingungen erfüllt werden,
# und speichere die Ergebnisse in den Variablen
# bedingung1, bedingung2 und bedingung3 (alle vom Typ bool).
bedingung1 = (jahr % 4 == 0)      # jahr ist durch 4 teilbar
bedingung2 = (jahr % 100 == 0)    # jahr ist durch 100 teilbar
bedingung3 = (jahr % 400 == 0)    # jahr ist durch 400 teilbar

# Bestimme, ob jahr ein Schaltjahr ist
# und speichere das Ergebnis in Variable istSchaltjahr (Typ bool).
istSchaltjahr = ( bedingung1 and not bedingung2 ) or bedingung3

# Gib das Ergebnis aus.
print(istSchaltjahr)

#-------------------------------------------------------------------------
# python3 schaltjahr.py 
# Geben Sie bitte das Jahr ein: 2020
# True
#
# python3 schaltjahr.py 
# Geben Sie bitte das Jahr ein: 2021
# False
#
# python3 schaltjahr.py 
# Geben Sie bitte das Jahr ein: 2000
# True
#
# python3 schaltjahr.py 
# Geben Sie bitte das Jahr ein: 2100
# False

